module NightsWatch
  class NewBrother
    def self.oath
      "I pledge my life and honor to the Night's Watch, for this night and all the nights to come."
    end

    def self.call(name)
      Brother.new(name)
    end
  end

  class Brother
    attr_accessor :name

    def initialize(name)
      @name = name
    end

    def knowledge
      if name == "Jon Snow"
        "nothing"
      else
        "something"
      end
    end
  end
end

require 'stargate'
require 'stargate/server/engine/sinatra'

registry = Stargate::Server::Registry.new do
  version 1 do
    serve NightsWatch::NewBrother do
      class_methods :call, :oath
    end

    serve NightsWatch::Brother do
      class_methods :create, :update
      attributes :name
      readers :knowledge
    end
  end
end

run Stargate::Server::Engine::Sinatra.new(registry)
