# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'stargate/version'

Gem::Specification.new do |spec|
  spec.name = "stargate"
  spec.version = Stargate::VERSION
  spec.authors = ["jobandtalent", "Kris Kovalik"]
  spec.email = ["kris.kovalik@jobandtalent.com", "hi@kkvlk.me"]

  spec.summary = %q{A portal to remote services.}
  spec.description = %q{Stargate opens a portal to call remote methods via simple and reliable RPC protocols.}
  spec.homepage = "https://github.com/jobandtalent/stargate"
  spec.license = 'Apache-2.0'

  spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir = "exe"
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.8"
  spec.add_development_dependency "minitest-reporters", "~> 1.1"
  spec.add_development_dependency "rack-test", "~> 0.6"
  spec.add_development_dependency "mocha", "~> 1.1"
  spec.add_development_dependency "webmock", "~> 1.22"
  spec.add_development_dependency "puma", "~> 2.11"
  spec.add_development_dependency "vcr", "~> 3.0"
  spec.add_development_dependency "rake-bump", "~> 0.4", ">= 0.4.6"

  spec.add_dependency "json", "~> 1.8"
  spec.add_dependency "msgpack", "~> 0.7"
  spec.add_dependency "bencode", "~> 0.8"
  spec.add_dependency "activemodel", "~> 4.0", ">= 3.0"
  spec.add_dependency "activesupport", "~> 4.0", ">= 3.0"
  spec.add_dependency "sinatra", "~> 1.4"
  spec.add_dependency "rest-client", "~> 1.8"
  spec.add_dependency "gallus"
end
